// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/ADADIO/ADADIO_Linux_3.x.x.x_GSC_DN/driver/reg.c $
// $Rev: 44398 $
// $Date: 2019-02-06 13:30:22 -0600 (Wed, 06 Feb 2019) $

// ADADIO: Device Driver: source file

#include "main.h"



//*****************************************************************************
int dev_reg_mod_alt(dev_data_t* dev, gsc_reg_t* arg)
{
	// No alternate register encodings support read-modify-write operations.
	return(-EINVAL);
}



//*****************************************************************************
int dev_reg_read_alt(dev_data_t* dev, gsc_reg_t* arg)
{

	int	ret;

	switch (arg->reg)
	{
		default:				ret	= -EINVAL;
								break;

		case ADADIO_GSC_BRR:	// Board Revision Register
								ret			= 0;
								arg->value	= dev->cache.brr;
								break;
	}

	return(ret);
}



//*****************************************************************************
int dev_reg_write_alt(dev_data_t* dev, gsc_reg_t* arg)
{
	// No alternate register encodings support write operations.
	return(-EINVAL);
}


