// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/ADADIO/ADADIO_Linux_3.x.x.x_GSC_DN/samples/aout/main.h $
// $Rev: 52457 $
// $Date: 2023-01-30 13:50:49 -0600 (Mon, 30 Jan 2023) $

// ADADIO: Sample Application: header file

#ifndef	__MAIN_H__
#define	__MAIN_H__

#include <ctype.h>
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/time.h>

#include "adadio_main.h"



// macros *********************************************************************

#define	SIZEOF_ARRAY(a)			(sizeof((a)) / sizeof((a)[0]))



// data types *****************************************************************

typedef struct
{
	// Application Settings

	s32	chan_0;
	s32	chan_1;
	s32	chan_2;
	s32	chan_3;
	s32	continuous;
	s32	decimal;		// Save data in decimal format? If no, then Hex.
	s32	index;
	s32	minute_limit;
	s32	save_c;			// Save in C format to a text file.
	s32	save_txt;		// Save the pattern to a text file.
	s32	seconds;		// Generate output for this long.
	s32	test_limit;

	int	fd;

	// Device Settings

	s32	strobe;			// Use the strobe feature?
} args_t;



// prototypes *****************************************************************

int	perform_tests(const args_t* args);



#endif
